/***************************************************************************
                          rectsettingsdlg.h  -  description
                             -------------------
    begin                : Mit Jun 18 2003
    copyright            : (C) 2003 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RECTSETTINGSDLG_H
#define RECTSETTINGSDLG_H

#include <kdialogbase.h>

class KColorButton;
class KComboBox;
class KIntNumInput;
class TQCheckBox;
class RectSettingsDlg : public KDialogBase  {
    TQ_OBJECT
  
    public: 
        RectSettingsDlg(TQWidget *parent=0, const char *name=0);
        ~RectSettingsDlg();

        void setBorderColor( const TQColor & c );
        void setFillColor( const TQColor & c );
        void setBorderWidth( int w );
        void setPenStyle( int s );

        const TQColor borderColor() const;
        const TQColor fillColor() const;
        int borderWidth() const;
        int penStyle() const;

    private slots:
        void enableControls();
        
    private:
        KColorButton* buttonBorder;
        KColorButton* buttonFill;

        KComboBox* comboLine;
        TQCheckBox* checkBorder;

        KIntNumInput* spinWidth;
};

class TQPen;
class LineSettingsDlg : public KDialogBase  {
    TQ_OBJECT
  
    public:
        LineSettingsDlg(TQWidget *parent=0, const char *name=0);
        ~LineSettingsDlg();

        void setPen( const TQPen p );
        TQPen pen() const;

    private:
        KColorButton* buttonColor;
        KComboBox* comboLine;
        KIntNumInput* spinWidth;
};
#endif
